Page MenuHomePhabricator

Convert flag reason form in QuizGame/PictureGame too OOjsUI dialog.
Closed, ResolvedPublic

Description

Hmm, if we are doing T155451 , why do not do it in OOjsUi? We would also use it in QuizGame.

Details

Related Gerrit Patches:
mediawiki/extensions/PollNY : masterConverted alerts, and confirms to OOJSUI
mediawiki/extensions/QuizGame : masterConverted old reason field to OOjsUI dialog.

Event Timeline

Filip created this task.Jan 25 2017, 9:02 PM

Go for it, I like that idea :-) A simple prompt dialog should do the trick.

SamanthaNguyen moved this task from Unsorted to Conversion to OOUI on the UI-Standardization board.
SamanthaNguyen moved this task from Unsorted to Migrate / Replace on the Technical-Debt board.
Filip added a comment.EditedJan 26 2017, 2:01 PM

@SamanthaNguyen: Sending screenshots

Change 334378 had a related patch set uploaded (by Filip):
Converted old reason field, to OOjsUI dialog.

https://gerrit.wikimedia.org/r/334378

Change 334378 merged by jenkins-bot:
Converted old reason field to OOjsUI dialog.

https://gerrit.wikimedia.org/r/334378

Filip added a comment.Jan 30 2017, 9:20 PM

First patch got merged - will upload same patch for quizgame tomorrow

SamanthaNguyen added a comment.EditedJan 30 2017, 9:34 PM

Awesome to hear! Thank you for all you work :D Also, you mean PictureGame, right?

@Filip Forgot about PollNY, this will need a OOUI dialog as well for consistency. I can do this one if you don't want to or if you're busy :-)

Filip added a comment.Feb 17 2017, 6:13 PM

@SamanthaNguyen: Ok, need to port PollNY - Will do it tomorrow, just need to add OOJSUI dialog

Change 340168 had a related patch set uploaded (by Filip; owner: Filip):
Converted alerts, and confirms to OOJSUI

https://gerrit.wikimedia.org/r/340168

Change 340168 merged by jenkins-bot:
[mediawiki/extensions/PollNY@master] Converted alerts, and confirms to OOJSUI

https://gerrit.wikimedia.org/r/340168

ashley closed this task as Resolved.Jun 27 2018, 6:52 PM
ashley removed a project: Patch-For-Review.